payment_default:
  id: payment_default
  group: commerce_payment
  label: 'Default'
  states:
    new:
      label: 'New'
    authorization:
      label: 'Authorization'
    authorization_voided:
      label: 'Authorization (Voided)'
    authorization_expired:
      label: 'Authorization (Expired)'
    completed:
      label: 'Completed'
    partially_refunded:
      label: 'Partially refunded'
    refunded:
      label: 'Refunded'
  transitions:
    # Transitions are required by the state_machine module,
    # but aren't actually used by the payment API.
    authorize:
      label: 'Authorize payment'
      from: [new]
      to: authorization
    void:
      label: 'Void payment'
      from: [authorization]
      to: authorization_voided
    expire:
      label: 'Expire payment'
      from: [authorization]
      to: authorization_expired
    authorize_capture:
      label: 'Authorize and capture payment'
      from: [new]
      to: completed
    capture:
      label: 'Capture payment'
      from: [authorization]
      to: completed
    partially_refund:
      label: 'Partially refund payment'
      from: [completed]
      to: partially_refunded
    refund:
      label: 'Refund payment'
      from: [completed, partially_refunded]
      to: refunded

payment_manual:
  id: payment_manual
  group: commerce_payment
  label: 'Manual'
  states:
    new:
      label: 'New'
    pending:
      label: 'Pending'
    completed:
      label: 'Completed'
    partially_refunded:
      label: 'Partially refunded'
    refunded:
      label: 'Refunded'
    voided:
      label: 'Voided'
  transitions:
    create:
      label: 'Create payment'
      from: [new]
      to: pending
    receive:
      label: 'Receive payment'
      from: [pending]
      to: completed
    partially_refund:
      label: 'Partially refund payment'
      from: [completed]
      to: partially_refunded
    refund:
      label: 'Refund payment'
      from: [completed, partially_refunded]
      to: refunded
    void:
      label: 'Void payment'
      from: [pending]
      to: voided
